Cover generator commands (versions)


#1

Cover generator commands currently require versions that are more likely to belong to certain OS flavours than others. The versions on an RHEL box, for instance, are less than the versions specified in the code, perhaps in some cases due to backporting, yet it still functions if the hasDependencies() function is bypassed.

Am a bit reluctant to offer a PR that leverages apply_filters() since it would offer up an opportunity to access an exec command. What kind of solution would you be open to receiving?

Attached is a screenshot of what I’m working with and there are no detectable issues when generating a cover.

16%20PM


#2

Hi @brad, if you want to open a PR that lowers the versions to what’s present/available on RHEL we can review and see if we notice any issues. If it works with lower versions but we can broaden support for different distributions I have no problem with that. Thanks!